unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, sButton, Mask, sSkinProvider;

type
  TForm4 = class(TForm)
    MaskEdit1: TMaskEdit;
    sButton1: TsButton;
    sButton2: TsButton;
    Label1: TLabel;
    sSkinProvider1: TsSkinProvider;
    procedure sButton2Click(Sender: TObject);
    procedure sButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses Unit1;

{$R *.dfm}
procedure TForm4.sButton2Click(Sender: TObject);
begin
modalresult:=mrcancel;
end;

procedure TForm4.sButton1Click(Sender: TObject);
begin
if form4.maskedit1.Text<>'12345' then begin
showmessage('Пароль неверный');
end else modalresult:=mrok;
end;

end.
